INITLOCATION(1)

NAME
initlocation - Create a secondary Postgres database storage area

SYNOPSIS

initlocation directory

  INPUTS

directory
    Where in your Unix filesystem do you want alternate databases to go?

  OUTPUTS

initlocation will create directories in the specified place.

DESCRIPTION

initlocation creates a new Postgres secondary database storage area. See the discussion under create_database(l) about how to manage and use secondary storage areas. If the argument does not contain a slash and is not valid as a path, it is assumed to be an environment variable, which is referenced. See the examples at the end.

In order to use this command you must be logged in (using 'su', for example) the database superuser.

USAGE

To create a database in an alternate location, using an environment variable:

$ export PGDATA2=/opt/postgres/data
$ initlocation PGDATA2
$ createdb 'testdb' -D 'PGDATA2'

Alternatively, if you allow absolute paths you could write:

$ initlocation /opt/postgres/data
$ createdb testdb -D '/opt/postgres/data/testdb'